<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context=".screens.AccountViewFragment">
    <data>
        <variable
            name="viewModel"
            type="com.revature.healthcareod.viewmodels.MainViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="10dp">


        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="48dp"
            android:layout_marginBottom="32dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

<!--                    <Button-->
<!--                        android:id="@+id/btn_back"-->
<!--                        android:layout_width="0dp"-->
<!--                        android:layout_height="match_parent"-->
<!--                        android:layout_weight="1"-->
<!--                        android:text="@string/back_button"-->
<!--                        tools:ignore="ButtonStyle" />-->

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_save_profile"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        app:cornerRadius="0dp"
                        android:layout_weight="1"
                        android:text="@string/submit"
                        tools:ignore="ButtonStyle" />

                </LinearLayout>

<!--                <ImageView-->
<!--                    android:id="@+id/profile_picture"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="8dp"-->
<!--                    android:src="@drawable/ic_launcher_background" />-->

                <TextView
                    android:id="@+id/NametextView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:text="@string/name"
                    android:textSize="@dimen/label_text_size" />

                <EditText
                    android:id="@+id/editTextAccViewFName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:ems="10"
                    android:hint="@string/first_name"
                    android:inputType="textPersonName"
                    android:text="" />

                <EditText
                    android:id="@+id/editTextAccViewLName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="@string/last_name"
                    android:inputType="textPersonName"
                    android:text="" />

                <TextView
                    android:id="@+id/AddresstextView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:text="@string/addressc"
                    android:textSize="@dimen/label_text_size" />

                <EditText
                    android:id="@+id/editTextAccViewAdrs"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:ems="10"
                    android:hint="@string/address"
                    android:inputType="textPersonName"
                    android:text="" />

                <TextView
                    android:id="@+id/EducationtextView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:text="@string/education"
                    android:textSize="@dimen/label_text_size" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">


                    <EditText
                        android:id="@+id/acc_view_school_et"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/acc_view_school"
                        android:inputType="textPersonName"
                        android:text="" />

                    <EditText
                        android:id="@+id/acc_view_major_et"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/acc_view_major"
                        android:inputType="textPersonName"
                        android:text="" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/acc_view_level"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="10"
                            android:ems="10"
                            android:hint="@string/acc_view_level"
                            android:inputType="textPersonName"
                            android:text="" />

                        <EditText
                            android:id="@+id/accViewGradDat"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="10"
                            android:ems="10"
                            android:hint="@string/acc_view_date"
                            android:inputType="textPersonName"
                            android:text="" />

                        <Button
                            android:id="@+id/btn_submit_edu"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="8"
                            android:text="@string/edu_submit"
                            android:textSize="@dimen/small_btn_txt_size" />
                    </LinearLayout>
                </LinearLayout>

<!--                <androidx.recyclerview.widget.RecyclerView-->
<!--                    android:id="@+id/acc_view_rec_v"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="8dp"-->
<!--                    android:scrollbars="vertical"-->
<!--                    app:layoutManager=".CustomLayoutManager"-->
<!--                    tools:listitem="@layout/edu_element" />-->

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:text="@string/password"
                    android:textSize="@dimen/label_text_size" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="48dp"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="3"
                        android:orientation="vertical">

                        <EditText
                            android:id="@+id/editText_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ems="10"
                            android:hint="@string/passwordnc"
                            android:inputType="textPassword" />

                        <EditText
                            android:id="@+id/editTextText_confirm_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ems="10"
                            android:hint="@string/confirm_password"
                            android:inputType="textPassword" />
                    </LinearLayout>

                    <Button
                        android:id="@+id/btn_save_password"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/save_password"
                        android:textSize="@dimen/small_btn_txt_size" />
                </LinearLayout>
            </LinearLayout>
        </ScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>


</layout>